/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

jQuery(function () {
    
    initForm();
    
    jQuery('.abc_day').click(function (e) {
        var DateClicked = jQuery(this);
        
        if (e.shiftKey) {
            if (DateClicked.data('bookingid')) {
                editBooking(DateClicked.data('bookingid'));
            }
            return;
        } 

        
        // wenn Startdatum bereits gewählt wurde, Enddatum setzen
        if (DateClicked.hasClass('reserved') && !DateClicked.hasClass('reserved-first')) {
            setReservedTo(DateClicked.data('date'));
            showFormSendInfo ();
        // wenn noch kein Startdatum gesetzt ist, Startdatum setzen
        } else {
            // fest gebuchte ignorieren
            if (DateClicked.hasClass('fixbooked') && (!DateClicked.hasClass('fixbooked-last'))) {
                return false;
            }
            // Dummies und Wochentage ignorieren
            if (DateClicked.hasClass('abc_dummy') || DateClicked.hasClass('abc_weekday')) {
                return false;
            }
            // nur einen Zeitraum ermöglichen = alle reserviert auf frei setzen.
            jQuery('.abc_day').removeClass('reserved');
            jQuery('.abc_day').removeClass('reserved-first');
            jQuery('.abc_day').removeClass('reserved-last');
            jQuery('.abc_day').removeClass('booked');
            jQuery('.abc_day').removeClass('booked-first');
            jQuery('.abc_day').removeClass('booked-last');
            setReservedFrom(DateClicked.data('date'));
            resetFormDate();
            showAbreiseInfo();
        }
    });

    function editBooking (bookingid) {
//        window.location.href = 'index.php?page=abcalendar&subpage=bookings&func=edit&id='+bookingid;
        window.location.href = 'index.php?page=abcalendar&subpage=bookings&table_name=rex_abcalendar&func=edit&data_id='+bookingid;
    }

    function showAbreiseInfo () {
        jQuery('.abcalendar-messages p').hide();
        jQuery('.booking_message').show();
    }
    
    function showFormSendInfo () {
        jQuery('.abcalendar-messages p').hide();
        jQuery('.formsend_message').show();
    }
    
    

    function setReservedFrom(fromDate) {
        jQuery('.abc_day').each(function () {
            if (jQuery(this).data('date') >= fromDate) {
                jQuery(this).addClass('reserved');
                if (jQuery(this).hasClass('fixbooked') && !jQuery(this).hasClass('fixbooked-last')) {
                    return false;
                }
            }
        });
        jQuery('.abc_day.reserved').first().addClass('reserved-first');
        jQuery('.abc_day.reserved').last().addClass('reserved-last');
    }

    function setReservedTo(toDate) {
        if (jQuery('.abc_day.reserved').first().data('date') == toDate) {
            jQuery('.abc_day').removeClass('reserved');
            return;
        };
        jQuery('.abc_day').each(function () {
            if (jQuery(this).data('date') > toDate) {
                jQuery(this).removeClass('reserved');
            }
        });
        // von reserviert auf gebucht stellen
        jQuery('.abc_day.reserved').addClass('booked');
        jQuery('.abc_day.reserved').removeClass('reserved');
        jQuery('.abc_day').removeClass('reserved-first');
        jQuery('.abc_day').removeClass('reserved-last');
        jQuery('.abc_day.booked').first().addClass('booked-first');
        jQuery('.abc_day.booked').last().addClass('booked-last');
        setFormDate();
        
    }
    
    function resetFormDate () {
        jQuery('#xform-formular-datefrom').val('');
        jQuery('#xform-formular-dateto').val('');        
        jQuery('#xform-formular-anreise input').val('');
        jQuery('#xform-formular-abreise input').val('');
    }
    
    function setFormDate () {
        dateFrom = reFormatDate(jQuery('.booked-first').data('date'));
        dateTo = reFormatDate(jQuery('.booked-last').data('date'));
        jQuery('#xform-formular-datefrom').val(jQuery('.booked-first').data('date'));
        jQuery('#xform-formular-dateto').val(jQuery('.booked-last').data('date'));
        jQuery('#xform-formular-anreise input').val(dateFrom);
        jQuery('#xform-formular-abreise input').val(dateTo);
        jQuery('#abcalendar-form').slideDown();
    }
    
    function reFormatDate(dateString) {
        str = dateString.split('-');
        str.reverse();
        str = str.join('.');
        return str;
    }
    
    function initForm () {
        jQuery('#xform-formular-anreise input').attr('readonly',"readonly");
        jQuery('#xform-formular-abreise input').attr('readonly',"readonly");
        if (jQuery('#xform-formular-anreise input').val() && jQuery('#xform-formular-abreise input').val()) {
            showFormSendInfo();
        }
    }

});