<?php

rex_title('abcalendar Setup');


if (rex_request('installmodul','int',0) == 1) {

   $abcalendar_module_name = 'ab calendar';

   $in = rex_get_file_contents($REX['INCLUDE_PATH'] . '/addons/abcalendar/setup/module/module_in.inc');
   $out = rex_get_file_contents($REX['INCLUDE_PATH'] . '/addons/abcalendar/setup/module/module_out.inc');

   $sql = rex_sql::factory();
   // $mi->debugsql = 1;
   $sql->setTable('rex_module');
   $sql->setValue('eingabe', addslashes($in));
   $sql->setValue('ausgabe', addslashes($out));

   $sql->setValue('name', $abcalendar_module_name);
   $sql->insert();
   $module_id = (int) $sql->getLastId();
   $module_name = $abcalendar_module_name;
   echo rex_info('Modul wurde angelegt unter "' . $abcalendar_module_name . '"');
}

if (rex_request('installetpl','int',0) == 1) {


   $sql = rex_sql::factory();
   $qry = 'SELECT * FROM rex_xform_email_template WHERE `name` = "booking" OR `name` = "booking_confirm"';
   $sql->setQuery($qry);
   $res = $sql->getArray();
   
   if ($res) {
      echo rex_warning('Das Template konnte nicht installiert werden. Es gibt bereits ein E-Mail Template für die Reservierung und die Reservierungsbestätigung.');      
   } else {
      $qry = rex_get_file_contents($REX['INCLUDE_PATH'] . '/addons/abcalendar/setup/template/xform_template.inc');

      // $mi->debugsql = 1;
      $sql->setQuery($qry);
      $tpl_id = (int) $sql->getLastId();
      if ($tpl_id) {
         echo rex_info('Template wurde unter der Id ' . $tpl_id . ' abgelegt.');      
      } else {
         echo rex_warning('Das Template konnte nicht installiert werden.');
      }
      
   }
   
   
}


echo '

<div class="rex-addon-output c1">
    <h2 class="rex-hl2">' . $I18N->msg('abcalendar_install_modul') . '</h2>
    <div class="rex-addon-content c2">
    <p>' . $I18N->msg('abcalendar_modul_description') . '</p>

    <p class="rex-button"><a href="index.php?page=abcalendar&amp;subpage=setup&amp;installmodul=1" class="rex-button">' . $I18N->msg('abcalendar_run_install_modul') . '</a></p>'
      . '    <h2 class="rex-hl2">' . $I18N->msg('abcalendar_install_etpl') . '</h2>
    <div class="rex-addon-content c3">
    <p>' . $I18N->msg('abcalendar_etpl_description') . '</p>

    <p class="rex-button"><a href="index.php?page=abcalendar&amp;subpage=setup&amp;installetpl=1" class="rex-button">' . $I18N->msg('abcalendar_run_install_etpl') . '</a></p>'
      . '';




echo '
    </div>
    </div>
    </div>
</div>';
