<?php

$dir = dirname(__FILE__);
$I18N->appendFile($dir . '/lang/');
$msg = '';

$minPhpVersion = '5.3.3';
$minRexVersion = '4.6.1';
if (version_compare(PHP_VERSION, $minPhpVersion) < 0) {
    $msg = $I18N->msg('abcalendar_install_php_version', $minPhpVersion);
} elseif (version_compare($REX['VERSION'] . '.' . $REX['SUBVERSION'] . '.' . $REX['MINORVERSION'], $minRexVersion) < 0) {
    $msg = $I18N->msg('abcalendar_install_rex_version', $minRexVersion);
}

if (OOAddon::isAvailable('xform') != 1) {
    $msg = $I18N->msg('abcalendar_install_xform', '4.12');
}

if (version_compare($REX['ADDON']['version']['xform'], '4.12') < 0) {
    $msg = $I18N->msg('abcalendar_install_xform_vers', '4.12', $REX['ADDON']['version']['xform']);
}

if ($msg != '') {
    $REX['ADDON']['installmsg']['abcalendar'] = $msg;
    $REX['ADDON']['install']['abcalendar'] = false;
} else {
    $REX['ADDON']['install']['abcalendar'] = true;
}

$sql = rex_sql::factory();
$sql->setQuery('CREATE TABLE IF NOT EXISTS `'.$REX['TABLE_PREFIX'].'abcalendar` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `vorname` varchar(255) DEFAULT NULL,
  `nachname` varchar(255) DEFAULT NULL,
  `anschrift` varchar(255) DEFAULT NULL,
  `plzort` varchar(255) DEFAULT NULL,
  `land` varchar(255) DEFAULT NULL,
  `telefon` varchar(255) DEFAULT NULL,
  `email` varchar(255) DEFAULT NULL,
  `personen` varchar(255) DEFAULT NULL,
  `anreisezeit` varchar(255) DEFAULT NULL,
  `nachricht` text,
  `datefrom` varchar(255) DEFAULT NULL,
  `dateto` varchar(255) DEFAULT NULL,
  `objectid` int(11) unsigned DEFAULT NULL,
  `bookingdate` varchar(255) DEFAULT NULL,
  `storno` varchar(20) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
');

// $qry = file_get_contents($REX['INCLUDE_PATH'].'/addons/abcalendar/install.sql');
// $qry = str_replace('rex_',$REX['TABLE_PREFIX'],$qry);
// $sql->setQuery($qry);